import matplotlib.pyplot as plt
import math as ma
import os

os.chdir('Repertoire') # "Repertoire" = Répertoire dans lequel vous avez enregistré votre fichier de valeurs
# ATTENTION à DOUBLER les slashs \\

ANGLE=[]
DISTANCE=[]
with open("Fichier.txt", "r") as filestream: # "Fichier.txt"  = nom du fichier dans lequel vous avez enregistré vos valeurs
    for line in filestream:
        currentline = line.split(",") # Le séparateur entre les données est la VIRGULE
        ANGLE.append(int(currentline[0])*ma.pi/180) # L'angle est transformé en radian
        DISTANCE.append(float(currentline[1])) # en mm

plt.polar(ANGLE,DISTANCE,"b-")